import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MDLAssetResolver } from "./MDLAssetResolver.js";
export declare class _MDLPathAssetResolver extends _NSObject {
    static alloc(): _MDLPathAssetResolver;
    static new(): _MDLPathAssetResolver;
    init(): _MDLPathAssetResolver;
    initWithPath$(path: _NSString): _MDLPathAssetResolver;
    path(): _NSString;
    setPath$(value: _NSString): void;
}
export interface _MDLPathAssetResolver extends _MDLAssetResolver {
}
